From 098a99d1b9bc67a8ef4c4004bb8c081e87b94f38 Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Wed, 10 Jan 2024 15:14:11 +0300
Subject: [PATCH v1] Silence compiler warnings

---
 src/backend/commands/dbcommands.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/commands/dbcommands.c b/src/backend/commands/dbcommands.c
index 0a97a11314..6cbdd5b360 100644
--- a/src/backend/commands/dbcommands.c
+++ b/src/backend/commands/dbcommands.c
@@ -679,12 +679,12 @@ createdb(ParseState *pstate, const CreatedbStmt *stmt)
 	char	   *src_icurules = NULL;
 	char		src_locprovider = '\0';
 	char	   *src_collversion = NULL;
-	bool		src_istemplate;
-	bool		src_hasloginevt;
-	bool		src_allowconn;
+	bool		src_istemplate = false;
+	bool		src_hasloginevt = false;
+	bool		src_allowconn = false;
 	TransactionId src_frozenxid = InvalidTransactionId;
 	MultiXactId src_minmxid = InvalidMultiXactId;
-	Oid			src_deftablespace;
+	Oid			src_deftablespace = InvalidOid;
 	volatile Oid dst_deftablespace;
 	Relation	pg_database_rel;
 	HeapTuple	tuple;
-- 
2.43.0

